rsyslog (8.2512.0-1ubuntu5) stonking; urgency=medium

  * No-change rebuild for net-snmp 5.9.5

 -- Hector Cao <hector.cao@canonical.com>  Mon, 08 Jun 2026 09:21:14 -0300

rsyslog (8.2512.0-1ubuntu4) resolute; urgency=medium

  * Update rsyslog apparmor profile to cope with log sockets in
    chroot directories (LP: #2138647):
    - d/usr.sbin.rsyslogd: add attach_disconnected flag to profile
    - d/t/{control,haproxy-logging}: new test to confirm the fix
  * d/p/fix-curl-ftbfs.patch: fix FTBFS with newer curl headers (LP: #2143157)

 -- Andreas Hasenack <andreas.hasenack@canonical.com>  Tue, 10 Mar 2026 12:16:41 -0300

rsyslog (8.2512.0-1ubuntu3) resolute; urgency=medium

  * d/rsyslog.install: usr-merge dmesg.service (LP: #2139209)

 -- Simon Poirier <simon.poirier@canonical.com>  Fri, 23 Jan 2026 15:34:00 -0500

rsyslog (8.2512.0-1ubuntu2) resolute; urgency=medium

  * fix ftbfs with tests on armhf (LP: #2137562)
    Revert to gnusort on test with large data for its memory usage on 32bit.

 -- Simon Poirier <simon.poirier@canonical.com>  Tue, 06 Jan 2026 09:55:32 -0500

rsyslog (8.2512.0-1ubuntu1) resolute; urgency=medium

  * Merge with Debian unstable (LP: #2130067). Remaining changes:
    - d/00rsyslog.conf, d/rsyslog.postinst, d/rsyslog.install: Install
      tmpfiles.d snippet to ensure that the syslog group can write into
      /var/log/.
    - debian/50-default.conf: set of default rules for syslog
      + debian/50-default.conf: separated default rules
      + d/rsyslog.install: install default rules
      + d/rsyslog.postrm: clear default rules on purge
      + d/rsyslog.postrm: remove conf file in postrm on purge. manage with ucf
      + d/rsyslog.postinst: Adapt script to use ucf for Ubuntu's config files
      + debian/control: Add Depends for ucf
    - debian/rsyslog.conf:
      + enable $RepeatedMsgReduction to avoid bloating the syslog file.
      + enable $KLogPermitNonKernelFacility for non-kernel klog messages
      + Run as syslog:syslog, set $FileOwner to syslog
      + Remove rules moved to 50-default.conf
    - Add AppArmor profile, enabled by default, with support for
      AppArmor configuration snippets:
      + d/rsyslog.install: install apparmor rule
      + d/rsyslog.postinst: remove disabling of apparmor on upgrades if
        we are upgrading from a version older than $now.
      + d/rules: use dh_apparmor to install profile before rsyslog is started
      + d/control: suggests apparmor (>= 2.3), Build-Depends on
        dh-apparmor
      + d/rsyslog.dirs: install /etc/apparmor.d/rsyslog.d
      + d/usr.sbin.rsyslogd apparmor profile for rsyslogd
      + d/{apparmor/rsyslog-mysql,rsyslog-mysql.install}: add apparmor
        profile for mysql plugin
      + d/{apparmor/rsyslog-pgsql,rsyslog-pgsql.install}: add apparmor
        profile for postgresql plugin
      + d/{apparmor/rsyslog-gnutls.apparmor,rsyslog-gnutls.install}: add
        apparmor profile for the gnutls plugin
      + d/{apparmor/rsyslog-openssl.apparmor,rsyslog-gnutls.install}: add
        apparmor profile for the openssl plugin
      + New script to reload apparmor profile:
        * d/rsyslog.service: reload apparmor profile in ExecStartPre and
          set StandardError to journal so we can see errors from the
          script
        * d/rsyslog.install: install reload-apparmor-profile
        * d/reload-apparmor-profile: script to reload the
          rsyslogd apparmor profile
      + d/NEWS: add info about apparmor changes in the Ubuntu packaging
      + d/rsyslog.docs, d/README.apparmor: explains how the dynamic
        component of the rsyslog apparmor profile is applied
      + d/README.apparmor.rsyslog.d, d/rsyslog.install: install a specific
        README file in the apparmor include directory for rsyslog
    - d/rules: Fix LDFLAGS to avoid segfault on receipt of first message
    - Drop [mm|pm]normalize modules, depending on liblognorm from universe.
      + d/rules: drop --enable-mmnormalize & --enable-pmnormalize
      + d/rsyslog.install: remove mmnormalize
    - run as user syslog
      + d/rsyslog.postinst: fix ownership of /var/spool/rsyslog.
      + d/rsyslog.postinst: Create syslog user and add it to adm group
      + d/rsyslog.postinst: Adapt privileges for /var/log
      + debian/control: Add Depends for adduser
    - d/dmesg.service, d/rsyslog.install: provide /var/log/dmesg.log as
      non log-rotated log for boot-time kernel messages.
    - debian/clean: Delete some files left over by the test suite
    - Add DEP8 tests:
      + d/t/control, d/t/simple-logger: simple logger test
      + d/t/utils: common function(s)
      + d/t/control, d/t/simple-mysql: test with a MySQL server
      + d/t/control, d/t/simple-pgsql: test with a PostgreSQL server
      + d/t/apparmor-include-mechanism: test for the rsyslog.d include
        mechanism used by the rsyslog apparmor profile
      + ubuntu: fix debian/tests/logcheck - timing
    - Amend list of expected messages d/rsyslog.logcheck.ignore.server
      to fix6 armhf autopkgtest (LP #2028935)
      + ubuntu: update debian/rsyslog.logcheck.ignore.server
    - d/rsyslog.service: adjust sandboxing
      + add CAP_MAC_ADMIN, CAP_SETUID, CAP_SETGID
    - d/usr.sbin.rsyslog: add apparmor rule to allow reading systemd sessions
      (LP #2056768)
    - d/usr.sbin.rsyslogd: add AppArmor rule to allow the imjournal module to
      work (LP #2073628)
    - d/usr.sbin.rsyslogd: add AppArmor rule to allow access to disable_ipv6
      inside /proc (LP #2061726)
    - d/t/logcheck: when checking the journal, only consider current boot
      (LP #2100765)
    - d/usr.sbin.rsyslogd: allow reading of systemd-journal's dev-log
      unix socket (LP #2123821)
  * New delta:
    - d/t/control: add isolation-container and skip armhf for test broken
      by to mysql-server being unavailable on that arch.

 -- Simon Poirier <simon.poirier@canonical.com>  Wed, 17 Dec 2025 11:41:22 -0500

rsyslog (8.2512.0-1) unstable; urgency=medium

  * New upstream version 8.2512.0
  * Rebase patches

 -- Michael Biebl <biebl@debian.org>  Thu, 11 Dec 2025 18:21:10 +0100

rsyslog (8.2510.0-5) unstable; urgency=medium

  * Increase timeout of reprotest to 3h for salsa-ci
  * Skip imfile-logrotate-async.sh.
    This test appears to be flaky and fails rather often on
    reproducible-builds.org.
    See https://github.com/rsyslog/rsyslog/issues/6293

 -- Michael Biebl <biebl@debian.org>  Sun, 23 Nov 2025 14:04:37 +0100

rsyslog (8.2510.0-4) unstable; urgency=medium

  * Skip tests based on omfwd-lb-1target-retry-test_skeleton.sh and
    omfwd-lb-1target-retry-test_skeleton-TargetFail.sh.
    Those tests appear to be flaky and fail rather often on
    reproducible-builds.org, especially on arm64.
    See https://github.com/rsyslog/rsyslog/issues/6308 (Closes: #1094069)

 -- Michael Biebl <biebl@debian.org>  Wed, 19 Nov 2025 20:56:34 +0100

rsyslog (8.2510.0-3) unstable; urgency=medium

  * Run dh_auto_test with --no-parallel.
    If there is a segfault in one of the tests, the core file detection
    might attribute the core file to the wrong test. This can lead to
    unreliable results.
    See https://github.com/rsyslog/rsyslog/issues/6268
  * Skip potentially buggy imrelp-tls-cfgcmd.sh.
    This test triggers a segfault in tcpflood/librelp, so the root cause
    might be elsewhere. While this is being investigated, skip the test for
    now. (Closes: #1100103)

 -- Michael Biebl <biebl@debian.org>  Tue, 18 Nov 2025 21:34:52 +0100

rsyslog (8.2510.0-2) unstable; urgency=medium

  * Cherry-pick various documentation build fixes from upstream Git.
    Vendor the JavaScript dependencies for better offline usage.
  * (Re-)add doc-base support for rsyslog-doc
  * Add lintian-overrides for no-debconf-templates to rsyslog-mysql and
    rsyslog-pgsql.
    Those packages use the dbconfig-common framework which provides the
    debconf templates for setting up a database connection.

 -- Michael Biebl <biebl@debian.org>  Fri, 24 Oct 2025 22:22:23 +0200

rsyslog (8.2510.0-1) unstable; urgency=medium

  * New upstream version 8.2510.0
  * Rebase patches
  * Install new mmleefparse module.
    This module can be used to parse log messages that follow the IBM Log
    Event Extended Format (LEEF).
  * Update debian/copyright
  * Build rsyslog documentation and ship it in rsyslog-doc.
    It superseedes the standalone rsyslog-doc source package.
    Deviate from upstream and explicitly use sphinx_rtd_theme instead of the
    furo theme (smaller on-disk footprint of the resulting documentation,
    much faster build times).

 -- Michael Biebl <biebl@debian.org>  Wed, 15 Oct 2025 18:35:28 +0200

rsyslog (8.2506.0-6) unstable; urgency=medium

  * Use execute_{before,after} instead of override where possible
  * Avoid excessive usage of DEB_HOST_MULTIARCH and use wildcards instead
  * rsyslog-mysql and rsyslog-pgsql can be used in parallel.
    So don't mark them as alternative dependencies.
  * Stop setting the PYTHON interpreter path.
    No longer required.

 -- Michael Biebl <biebl@debian.org>  Wed, 08 Oct 2025 21:39:36 +0200

rsyslog (8.2506.0-5) unstable; urgency=medium

  * Drop Recommends: mongodb-server from rsyslog-mongodb.
    The mongodb(-server) package was removed from the archive in 2020 due to
    licensing issues. Remove the Recommends accordingly. (Closes: #1116112)

 -- Michael Biebl <biebl@debian.org>  Tue, 07 Oct 2025 17:06:51 +0200

rsyslog (8.2506.0-4) unstable; urgency=medium

  [ Richard Lewis ]
  * Make autopkgtest work in containers without /proc/kmesg.
    If /proc/kmesg is not available (or not accessible), rsyslog will
    produce some extra error messages, which the default logcheck rules
    won't match, making the test fail: hide these with a local rule.
    (Closes: #1110192)

  [ Michael Biebl ]
  * Disable missing-breaks test for salsa-ci

 -- Michael Biebl <biebl@debian.org>  Thu, 28 Aug 2025 14:36:14 +0200

rsyslog (8.2506.0-3) unstable; urgency=medium

  * Rename debian-branch to debian/latest as per DEP-14
  * Fix cleanup of temporary files in autopkgtest
  * Add support for mongo-c-driver v2

 -- Michael Biebl <biebl@debian.org>  Sun, 17 Aug 2025 16:47:50 +0200

rsyslog (8.2506.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Michael Biebl <biebl@debian.org>  Sun, 10 Aug 2025 21:42:56 +0200

rsyslog (8.2506.0-1) experimental; urgency=medium

  * New upstream version 8.2506.0
  * Rebase patches

 -- Michael Biebl <biebl@debian.org>  Sat, 02 Aug 2025 16:08:04 +0200

rsyslog (8.2504.0-1ubuntu2) questing; urgency=medium

  * d/usr.sbin.rsyslogd: allow reading of systemd-journal's dev-log
    unix socket (LP: #2123821)

 -- Andreas Hasenack <andreas@canonical.com>  Wed, 17 Sep 2025 17:14:42 -0300

rsyslog (8.2504.0-1ubuntu1) questing; urgency=medium

  * Merge with Debian unstable (LP: #2112066). Remaining changes:
    - d/00rsyslog.conf, d/rsyslog.postinst, d/rsyslog.install: Install
      tmpfiles.d snippet to ensure that the syslog group can write into
      /var/log/.
    - debian/50-default.conf: set of default rules for syslog
      + debian/50-default.conf: separated default rules
      + d/rsyslog.install: install default rules
      + d/rsyslog.postrm: clear default rules on purge
      + d/rsyslog.postrm: remove conf file in postrm on purge. manage with ucf
      + d/rsyslog.postinst: Adapt script to use ucf for Ubuntu's config files
      + debian/control: Add Depends for ucf
    - debian/rsyslog.conf:
      + enable $RepeatedMsgReduction to avoid bloating the syslog file.
      + enable $KLogPermitNonKernelFacility for non-kernel klog messages
      + Run as syslog:syslog, set $FileOwner to syslog
      + Remove rules moved to 50-default.conf
    - Add AppArmor profile, enabled by default, with support for
      AppArmor configuration snippets:
      + d/rsyslog.install: install apparmor rule
      + d/rsyslog.postinst: remove disabling of apparmor on upgrades if
        we are upgrading from a version older than $now.
      + d/rules: use dh_apparmor to install profile before rsyslog is started
      + d/control: suggests apparmor (>= 2.3), Build-Depends on
        dh-apparmor
      + d/rsyslog.dirs: install /etc/apparmor.d/rsyslog.d
      + d/usr.sbin.rsyslogd apparmor profile for rsyslogd
      + d/{apparmor/rsyslog-mysql,rsyslog-mysql.install}: add apparmor
        profile for mysql plugin
      + d/{apparmor/rsyslog-pgsql,rsyslog-pgsql.install}: add apparmor
        profile for postgresql plugin
      + d/{apparmor/rsyslog-gnutls.apparmor,rsyslog-gnutls.install}: add
        apparmor profile for the gnutls plugin
      + d/{apparmor/rsyslog-openssl.apparmor,rsyslog-gnutls.install}: add
        apparmor profile for the openssl plugin
      + New script to reload apparmor profile:
        * d/rsyslog.service: reload apparmor profile in ExecStartPre and
          set StandardError to journal so we can see errors from the
          script
        * d/rsyslog.install: install reload-apparmor-profile
        * d/reload-apparmor-profile: script to reload the
          rsyslogd apparmor profile
      + d/NEWS: add info about apparmor changes in the Ubuntu packaging
      + d/rsyslog.docs, d/README.apparmor: explains how the dynamic
        component of the rsyslog apparmor profile is applied
      + d/README.apparmor.rsyslog.d, d/rsyslog.install: install a specific
        README file in the apparmor include directory for rsyslog
    - d/rules: Fix LDFLAGS to avoid segfault on receipt of first message
    - Drop [mm|pm]normalize modules, depending on liblognorm from universe.
      + d/rules: drop --enable-mmnormalize & --enable-pmnormalize
      + d/rsyslog.install: remove mmnormalize
    - run as user syslog
      + d/rsyslog.postinst: fix ownership of /var/spool/rsyslog.
      + d/rsyslog.postinst: Create syslog user and add it to adm group
      + d/rsyslog.postinst: Adapt privileges for /var/log
      + debian/control: Add Depends for adduser
    - d/dmesg.service, d/rsyslog.install: provide /var/log/dmesg.log as
      non log-rotated log for boot-time kernel messages.
    - debian/clean: Delete some files left over by the test suite
    - Add DEP8 tests:
      + d/t/control, d/t/simple-logger: simple logger test
      + d/t/utils: common function(s)
      + d/t/control, d/t/simple-mysql: test with a MySQL server
      + d/t/control, d/t/simple-pgsql: test with a PostgreSQL server
      + d/t/apparmor-include-mechanism: test for the rsyslog.d include
        mechanism used by the rsyslog apparmor profile
      + ubuntu: fix debian/tests/logcheck - timing
    - Amend list of expected messages d/rsyslog.logcheck.ignore.server
      to fix6 armhf autopkgtest (LP #2028935)
      + ubuntu: update debian/rsyslog.logcheck.ignore.server
    - d/rsyslog.service: adjust sandboxing
      + add CAP_MAC_ADMIN, CAP_SETUID, CAP_SETGID
    - d/usr.sbin.rsyslog: add apparmor rule to allow reading systemd sessions
      (LP #2056768)
    - d/usr.sbin.rsyslogd: add AppArmor rule to allow the imjournal module to
      work (LP #2073628)
    - d/usr.sbin.rsyslogd: add AppArmor rule to allow access to disable_ipv6
      inside /proc (LP #2061726)
  * d/t/logcheck: when checking the journal, only consider current boot
    (LP #2100765)

 -- Ural Tunaboyu <ural.tunaboyu@canonical.com>  Sun, 08 Jun 2025 20:04:12 -0700

rsyslog (8.2504.0-1) unstable; urgency=medium

  * New upstream version 8.2504.0
  * Revert "queue: emit better warning messages on queue param mismatch"
    This patch triggers warnings even if default settings have not been
    changed, cluttering the log needlessly. So revert those changes for the
    time being.
    See https://github.com/rsyslog/rsyslog/issues/5615

 -- Michael Biebl <biebl@debian.org>  Tue, 06 May 2025 18:39:50 +0200

rsyslog (8.2502.0-6) unstable; urgency=medium

  * Update dbconfig dependencies.
    Use the package dependencies recommended by dbconfig-common 2.0.0.
  * Update list of suggested packages.
    This makes it easier for users to spot rsyslog related packages and also
    includes the package state in bug reports.

 -- Michael Biebl <biebl@debian.org>  Fri, 18 Apr 2025 23:25:59 +0200

rsyslog (8.2502.0-5) unstable; urgency=medium

  * Upload to unstable

 -- Michael Biebl <biebl@debian.org>  Sun, 13 Apr 2025 09:58:33 +0200

rsyslog (8.2502.0-4) experimental; urgency=medium

  * Enable docker input module.
    Ship the module in a separate package named rsyslog-docker.
    (Closes: #927724)
  * Enable ClickHouse output module.
    Ship the module in a separate package named rsyslog-clickhouse.
    (Closes: #968221)

 -- Michael Biebl <biebl@debian.org>  Sat, 12 Apr 2025 15:15:49 +0200

rsyslog (8.2502.0-3) unstable; urgency=medium

  * Enable DTLS input and output module.
    Those modules enable secure message exchange over UDP using the DTLS
    protocol as specified in RFC 6012.
    Ship those modules in the rsyslog-openssl package. (Closes: #1102719)

 -- Michael Biebl <biebl@debian.org>  Sat, 12 Apr 2025 14:50:27 +0200

rsyslog (8.2502.0-2) unstable; urgency=medium

  * Send HUP signal only to main process on log rotation (Closes: #1102699)
  * Release version to 4.7.2 to unstable

 -- Michael Biebl <biebl@debian.org>  Sat, 12 Apr 2025 11:38:54 +0200

rsyslog (8.2502.0-1) unstable; urgency=medium

  * New upstream version 8.2502.0

 -- Michael Biebl <biebl@debian.org>  Thu, 20 Feb 2025 10:04:18 +0100

rsyslog (8.2412.0-2ubuntu2) plucky; urgency=medium

  * d/t/logcheck: when checking the journal, only consider current boot
    (LP: #2100765)

 -- Andreas Hasenack <andreas@canonical.com>  Mon, 03 Mar 2025 16:01:32 -0300

rsyslog (8.2412.0-2ubuntu1) plucky; urgency=medium

  * Merge from Debian Unstable. Remaining changes:
    - d/00rsyslog.conf, d/rsyslog.postinst, d/rsyslog.install: Install
      tmpfiles.d snippet to ensure that the syslog group can write into
      /var/log/.
    - debian/50-default.conf: set of default rules for syslog
      + debian/50-default.conf: separated default rules
      + d/rsyslog.install: install default rules
      + d/rsyslog.postrm: clear default rules on purge
      + d/rsyslog.postrm: remove conf file in postrm on purge. manage with ucf
      + d/rsyslog.postinst: Adapt script to use ucf for Ubuntu's config files
      + debian/control: Add Depends for ucf
    - debian/rsyslog.conf:
      + enable $RepeatedMsgReduction to avoid bloating the syslog file.
      + enable $KLogPermitNonKernelFacility for non-kernel klog messages
      + Run as syslog:syslog, set $FileOwner to syslog
      + Remove rules moved to 50-default.conf
    - Add AppArmor profile, enabled by default, with support for
      AppArmor configuration snippets:
      + d/rsyslog.install: install apparmor rule
      + d/rsyslog.postinst: remove disabling of apparmor on upgrades if
        we are upgrading from a version older than $now.
      + d/rules: use dh_apparmor to install profile before rsyslog is started
      + d/control: suggests apparmor (>= 2.3), Build-Depends on
        dh-apparmor
      + d/rsyslog.dirs: install /etc/apparmor.d/rsyslog.d
      + d/usr.sbin.rsyslogd apparmor profile for rsyslogd
      + d/{apparmor/rsyslog-mysql,rsyslog-mysql.install}: add apparmor
        profile for mysql plugin
      + d/{apparmor/rsyslog-pgsql,rsyslog-pgsql.install}: add apparmor
        profile for postgresql plugin
      + d/{apparmor/rsyslog-gnutls.apparmor,rsyslog-gnutls.install}: add
        apparmor profile for the gnutls plugin
      + d/{apparmor/rsyslog-openssl.apparmor,rsyslog-gnutls.install}: add
        apparmor profile for the openssl plugin
      + New script to reload apparmor profile:
        * d/rsyslog.service: reload apparmor profile in ExecStartPre and
          set StandardError to journal so we can see errors from the
          script
        * d/rsyslog.install: install reload-apparmor-profile
        * d/reload-apparmor-profile: script to reload the
          rsyslogd apparmor profile
      + d/NEWS: add info about apparmor changes in the Ubuntu packaging
      + d/rsyslog.docs, d/README.apparmor: explains how the dynamic
        component of the rsyslog apparmor profile is applied
      + d/README.apparmor.rsyslog.d, d/rsyslog.install: install a specific
        README file in the apparmor include directory for rsyslog
    - d/rules: Fix LDFLAGS to avoid segfault on receipt of first message
    - Drop [mm|pm]normalize modules, depending on liblognorm from universe.
      + d/rules: drop --enable-mmnormalize & --enable-pmnormalize
      + d/rsyslog.install: remove mmnormalize
    - run as user syslog
      + d/rsyslog.postinst: fix ownership of /var/spool/rsyslog.
      + d/rsyslog.postinst: Create syslog user and add it to adm group
      + d/rsyslog.postinst: Adapt privileges for /var/log
      + debian/control: Add Depends for adduser
    - d/dmesg.service, d/rsyslog.install: provide /var/log/dmesg.log as
      non log-rotated log for boot-time kernel messages.
    - debian/clean: Delete some files left over by the test suite
    - Add DEP8 tests:
      + d/t/control, d/t/simple-logger: simple logger test
      + d/t/utils: common function(s)
      + d/t/control, d/t/simple-mysql: test with a MySQL server
      + d/t/control, d/t/simple-pgsql: test with a PostgreSQL server
      + d/t/apparmor-include-mechanism: test for the rsyslog.d include
        mechanism used by the rsyslog apparmor profile
      + ubuntu: fix debian/tests/logcheck - timing
    - Amend list of expected messages d/rsyslog.logcheck.ignore.server
      to fix6 armhf autopkgtest (LP #2028935)
      + ubuntu: update debian/rsyslog.logcheck.ignore.server
    - d/rsyslog.service: adjust sandboxing
      + add CAP_MAC_ADMIN, CAP_SETUID, CAP_SETGID
    - d/usr.sbin.rsyslog: add apparmor rule to allow reading systemd sessions
      (LP: #2056768)
    - d/usr.sbin.rsyslogd: add AppArmor rule to allow the imjournal module to
      work (LP: #2073628)
    - d/usr.sbin.rsyslogd: add AppArmor rule to allow access to disable_ipv6
      inside /proc (LP: #2061726)

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 18 Feb 2025 01:31:49 -0600

rsyslog (8.2412.0-2) unstable; urgency=medium

  * Enable hiredis input module and ship it in rsyslog-hiredis.
    Add a Build-Depends on libevent-dev accordingly. (Closes: #1087572)

 -- Michael Biebl <biebl@debian.org>  Sun, 16 Feb 2025 17:23:20 +0100

rsyslog (8.2412.0-1ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - d/00rsyslog.conf, d/rsyslog.postinst, d/rsyslog.install: Install
      tmpfiles.d snippet to ensure that the syslog group can write into
      /var/log/.
    - debian/50-default.conf: set of default rules for syslog
      + debian/50-default.conf: separated default rules
      + d/rsyslog.install: install default rules
      + d/rsyslog.postrm: clear default rules on purge
      + d/rsyslog.postrm: remove conf file in postrm on purge. manage with ucf
      + d/rsyslog.postinst: Adapt script to use ucf for Ubuntu's config files
      + debian/control: Add Depends for ucf
    - debian/rsyslog.conf:
      + enable $RepeatedMsgReduction to avoid bloating the syslog file.
      + enable $KLogPermitNonKernelFacility for non-kernel klog messages
      + Run as syslog:syslog, set $FileOwner to syslog
      + Remove rules moved to 50-default.conf
    - Add AppArmor profile, enabled by default, with support for
      AppArmor configuration snippets:
      + d/rsyslog.install: install apparmor rule
      + d/rsyslog.postinst: remove disabling of apparmor on upgrades if
        we are upgrading from a version older than $now.
      + d/rules: use dh_apparmor to install profile before rsyslog is started
      + d/control: suggests apparmor (>= 2.3), Build-Depends on
        dh-apparmor
      + d/rsyslog.dirs: install /etc/apparmor.d/rsyslog.d
      + d/usr.sbin.rsyslogd apparmor profile for rsyslogd
      + d/{apparmor/rsyslog-mysql,rsyslog-mysql.install}: add apparmor
        profile for mysql plugin
      + d/{apparmor/rsyslog-pgsql,rsyslog-pgsql.install}: add apparmor
        profile for postgresql plugin
      + d/{apparmor/rsyslog-gnutls.apparmor,rsyslog-gnutls.install}: add
        apparmor profile for the gnutls plugin
      + d/{apparmor/rsyslog-openssl.apparmor,rsyslog-gnutls.install}: add
        apparmor profile for the openssl plugin
      + New script to reload apparmor profile:
        * d/rsyslog.service: reload apparmor profile in ExecStartPre and
          set StandardError to journal so we can see errors from the
          script
        * d/rsyslog.install: install reload-apparmor-profile
        * d/reload-apparmor-profile: script to reload the
          rsyslogd apparmor profile
      + d/NEWS: add info about apparmor changes in the Ubuntu packaging
      + d/rsyslog.docs, d/README.apparmor: explains how the dynamic
        component of the rsyslog apparmor profile is applied
      + d/README.apparmor.rsyslog.d, d/rsyslog.install: install a specific
        README file in the apparmor include directory for rsyslog
    - d/rules: Fix LDFLAGS to avoid segfault on receipt of first message
    - Drop [mm|pm]normalize modules, depending on liblognorm from universe.
      + d/rules: drop --enable-mmnormalize & --enable-pmnormalize
      + d/rsyslog.install: remove mmnormalize
    - run as user syslog
      + d/rsyslog.postinst: fix ownership of /var/spool/rsyslog.
      + d/rsyslog.postinst: Create syslog user and add it to adm group
      + d/rsyslog.postinst: Adapt privileges for /var/log
      + debian/control: Add Depends for adduser
    - d/dmesg.service, d/rsyslog.install: provide /var/log/dmesg.log as
      non log-rotated log for boot-time kernel messages.
    - debian/clean: Delete some files left over by the test suite
    - Add DEP8 tests:
      + d/t/control, d/t/simple-logger: simple logger test
      + d/t/utils: common function(s)
      + d/t/control, d/t/simple-mysql: test with a MySQL server
      + d/t/control, d/t/simple-pgsql: test with a PostgreSQL server
      + d/t/apparmor-include-mechanism: test for the rsyslog.d include
        mechanism used by the rsyslog apparmor profile
      + ubuntu: fix debian/tests/logcheck - timing
    - Amend list of expected messages d/rsyslog.logcheck.ignore.server
      to fix6 armhf autopkgtest (LP #2028935)
      + ubuntu: update debian/rsyslog.logcheck.ignore.server
    - d/rsyslog.service: adjust sandboxing
      + add CAP_MAC_ADMIN, CAP_SETUID, CAP_SETGID
    - d/usr.sbin.rsyslog: add apparmor rule to allow reading systemd sessions
      (LP: #2056768)
    - d/usr.sbin.rsyslogd: add AppArmor rule to allow the imjournal module to
      work (LP: #2073628)
    - d/usr.sbin.rsyslogd: add AppArmor rule to allow access to disable_ipv6
      inside /proc (LP: #2061726)

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 11 Feb 2025 21:58:20 -0600

rsyslog (8.2412.0-1) unstable; urgency=medium

  * New upstream version 8.2412.0

 -- Michael Biebl <biebl@debian.org>  Wed, 25 Dec 2024 21:48:23 +0100

rsyslog (8.2410.0-1) unstable; urgency=medium

  * New upstream version 8.2410.0
  * Drop patches that have been merged upstream

 -- Michael Biebl <biebl@debian.org>  Tue, 22 Oct 2024 20:38:34 +0200

rsyslog (8.2408.0-2) unstable; urgency=medium

  * testbench: correctly apply socket options in minitcpsrvr.
    Thanks to Chris Hofstaedtler <zeha@debian.org>

 -- Michael Biebl <biebl@debian.org>  Mon, 23 Sep 2024 21:14:00 +0200

rsyslog (8.2408.0-1) unstable; urgency=medium

  * New upstream version 8.2408.0

 -- Michael Biebl <biebl@debian.org>  Tue, 20 Aug 2024 22:46:50 +0200

rsyslog (8.2406.0-1ubuntu3) plucky; urgency=medium

  * d/usr.sbin.rsyslogd: add AppArmor rule to allow the imjournal module to
    work (LP: #2073628)
  * d/usr.sbin.rsyslogd: add AppArmor rule to allow access to disable_ipv6
    inside /proc (LP: #2061726)

 -- Andreas Hasenack <andreas@canonical.com>  Fri, 31 Jan 2025 16:48:57 -0300

rsyslog (8.2406.0-1ubuntu2) oracular; urgency=medium

  * d/usr.sbin.rsyslog: add apparmor rule to allow reading systemd sessions
    (LP: #2056768)

 -- Andreas Hasenack <andreas@canonical.com>  Tue, 20 Aug 2024 09:46:06 -0300

rsyslog (8.2406.0-1ubuntu1) oracular; urgency=medium

  Merge with Debian unstable.  Remaining changes:
    - d/00rsyslog.conf, d/rsyslog.postinst, d/rsyslog.install: Install
      tmpfiles.d snippet to ensure that the syslog group can write into
      /var/log/.
    - debian/50-default.conf: set of default rules for syslog
      + debian/50-default.conf: separated default rules
      + d/rsyslog.install: install default rules
      + d/rsyslog.postrm: clear default rules on purge
      + d/rsyslog.postrm: remove conf file in postrm on purge. manage with ucf
      + d/rsyslog.postinst: Adapt script to use ucf for Ubuntu's config files
      + debian/control: Add Depends for ucf
    - debian/rsyslog.conf:
      + enable $RepeatedMsgReduction to avoid bloating the syslog file.
      + enable $KLogPermitNonKernelFacility for non-kernel klog messages
      + Run as syslog:syslog, set $FileOwner to syslog
      + Remove rules moved to 50-default.conf
    - Add AppArmor profile, enabled by default, with support for
      AppArmor configuration snippets:
      + d/rsyslog.install: install apparmor rule
      + d/rsyslog.postinst: remove disabling of apparmor on upgrades if
        we are upgrading from a version older than $now.
      + d/rules: use dh_apparmor to install profile before rsyslog is started
      + d/control: suggests apparmor (>= 2.3), Build-Depends on
        dh-apparmor
      + d/rsyslog.dirs: install /etc/apparmor.d/rsyslog.d
      + d/usr.sbin.rsyslogd apparmor profile for rsyslogd
      + d/{apparmor/rsyslog-mysql,rsyslog-mysql.install}: add apparmor
        profile for mysql plugin
      + d/{apparmor/rsyslog-pgsql,rsyslog-pgsql.install}: add apparmor
        profile for postgresql plugin
      + d/{apparmor/rsyslog-gnutls.apparmor,rsyslog-gnutls.install}: add
        apparmor profile for the gnutls plugin
      + d/{apparmor/rsyslog-openssl.apparmor,rsyslog-gnutls.install}: add
        apparmor profile for the openssl plugin
      + New script to reload apparmor profile:
        - d/rsyslog.service: reload apparmor profile in ExecStartPre and
          set StandardError to journal so we can see errors from the
          script
        - d/rsyslog.install: install reload-apparmor-profile
        - d/reload-apparmor-profile: script to reload the
          rsyslogd apparmor profile
      + d/NEWS: add info about apparmor changes in the Ubuntu packaging
      + d/rsyslog.docs, d/README.apparmor: explains how the dynamic
        component of the rsyslog apparmor profile is applied
      + d/README.apparmor.rsyslog.d, d/rsyslog.install: install a specific
        README file in the apparmor include directory for rsyslog
    - d/rules: Fix LDFLAGS to avoid segfault on receipt of first message
    - Drop [mm|pm]normalize modules, depending on liblognorm from universe.
      + d/rules: drop --enable-mmnormalize & --enable-pmnormalize
      + d/rsyslog.install: remove mmnormalize
    - run as user syslog
      + d/rsyslog.postinst: fix ownership of /var/spool/rsyslog.
      + d/rsyslog.postinst: Create syslog user and add it to adm group
      + d/rsyslog.postinst: Adapt privileges for /var/log
      + debian/control: Add Depends for adduser
    - d/dmesg.service, d/rsyslog.install: provide /var/log/dmesg.log as
      non log-rotated log for boot-time kernel messages.
    - debian/clean: Delete some files left over by the test suite
    - Add DEP8 tests:
      + d/t/control, d/t/simple-logger: simple logger test
      + d/t/utils: common function(s)
      + d/t/control, d/t/simple-mysql: test with a MySQL server
      + d/t/control, d/t/simple-pgsql: test with a PostgreSQL server
      + d/t/apparmor-include-mechanism: test for the rsyslog.d include
        mechanism used by the rsyslog apparmor profile
      + ubuntu: fix debian/tests/logcheck - timing
    - Amend list of expected messages d/rsyslog.logcheck.ignore.server
      to fix6 armhf autopkgtest (LP #2028935)
      + ubuntu: update debian/rsyslog.logcheck.ignore.server
    - d/rsyslog.service: adjust sandboxing
      + add CAP_MAC_ADMIN, CAP_SETUID, CAP_SETGID
  * Dropped changes (applied upstream):
    + d/p/omusrmsg-bugfix-potential-double-free-which-can-caus.patch
    + d/p/plugins-FromHost-must-be-63-characters-long.patch
    + d/p/rsyslog-time64-fix.patch

 -- Lukas Märdian <slyon@ubuntu.com>  Tue, 23 Jul 2024 15:46:12 +0200

rsyslog (8.2406.0-1) unstable; urgency=medium

  * New upstream version 8.2406.0
  * Bump Standards-Version to 4.7.0
  * Rebase patches

 -- Michael Biebl <biebl@debian.org>  Wed, 03 Jul 2024 16:44:09 +0200

rsyslog (8.2404.0-2) unstable; urgency=medium

  * Fix time_t related issues.
    Timestamps can be 64bit, even on 32bit architectures.
    See https://wiki.debian.org/ReleaseGoals/64bit-time

 -- Michael Biebl <biebl@debian.org>  Wed, 10 Apr 2024 19:38:43 +0200

rsyslog (8.2404.0-1) unstable; urgency=medium

  * New upstream version 8.2404.0

 -- Michael Biebl <biebl@debian.org>  Tue, 02 Apr 2024 21:15:22 +0200

rsyslog (8.2402.0-1) unstable; urgency=medium

  * New upstream version 8.2402.0
    - Fixes "rsyslog-mysql: Data too long for column 'FromHost'"
      (Closes: #1060868)
  * Rebase patches
  * Build-depend on pkgconf rather than pkg-config

 -- Michael Biebl <biebl@debian.org>  Tue, 27 Feb 2024 17:48:36 +0100

rsyslog (8.2312.0-3ubuntu9) noble; urgency=high

  * No change rebuild against libgnutls30t64, libssl3t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:49:24 +0200

rsyslog (8.2312.0-3ubuntu8) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:10:44 +0000

rsyslog (8.2312.0-3ubuntu7) noble; urgency=medium

  * debian/patches/rsyslog-time64-fix.patch: Fix time_t value formatting
    in k8s support.

 -- Zixing Liu <zixing.liu@canonical.com>  Thu, 21 Mar 2024 20:28:54 -0600

rsyslog (8.2312.0-3ubuntu6) noble; urgency=medium

  * No-change rebuild against libcurl4t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 06:58:55 +0000

rsyslog (8.2312.0-3ubuntu5) noble; urgency=medium

  * No-change rebuild against libgnutls30t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 10 Mar 2024 02:12:46 +0000

rsyslog (8.2312.0-3ubuntu4) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 21:12:22 +0000

rsyslog (8.2312.0-3ubuntu3) noble; urgency=medium

  * ubuntu d/rsyslog.service ProtectHome=no (LP: #2051405)

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Sat, 27 Jan 2024 10:34:41 +0100

rsyslog (8.2312.0-3ubuntu2) noble; urgency=medium

  * No-change rebuild against libhiredis1.1.0

 -- Dan Bungert <daniel.bungert@canonical.com>  Fri, 26 Jan 2024 10:33:54 -0700

rsyslog (8.2312.0-3ubuntu1) noble; urgency=medium

  Merge with Debian unstable (LP: #2045033). Remaining changes:
    - d/00rsyslog.conf, d/rsyslog.postinst, d/rsyslog.install: Install
      tmpfiles.d snippet to ensure that the syslog group can write into
      /var/log/.
    - debian/50-default.conf: set of default rules for syslog
      + debian/50-default.conf: separated default rules
      + d/rsyslog.install: install default rules
      + d/rsyslog.postrm: clear default rules on purge
      + d/rsyslog.postrm: remove conf file in postrm on purge. manage with ucf
      + d/rsyslog.postinst: Adapt script to use ucf for Ubuntu's config files
      + debian/control: Add Depends for ucf
    - debian/rsyslog.conf:
      + enable $RepeatedMsgReduction to avoid bloating the syslog file.
      + enable $KLogPermitNonKernelFacility for non-kernel klog messages
      + Run as syslog:syslog, set $FileOwner to syslog
      + Remove rules moved to 50-default.conf
    - Add AppArmor profile, enabled by default, with support for
      AppArmor configuration snippets:
      + d/rsyslog.install: install apparmor rule
      + d/rsyslog.postinst: remove disabling of apparmor on upgrades if
        we are upgrading from a version older than $now.
      + d/rules: use dh_apparmor to install profile before rsyslog is started
      + d/control: suggests apparmor (>= 2.3), Build-Depends on
        dh-apparmor
      + d/rsyslog.dirs: install /etc/apparmor.d/rsyslog.d
      + d/usr.sbin.rsyslogd apparmor profile for rsyslogd
      + d/{apparmor/rsyslog-mysql,rsyslog-mysql.install}: add apparmor
        profile for mysql plugin
      + d/{apparmor/rsyslog-pgsql,rsyslog-pgsql.install}: add apparmor
        profile for postgresql plugin
      + d/{apparmor/rsyslog-gnutls.apparmor,rsyslog-gnutls.install}: add
        apparmor profile for the gnutls plugin
      + d/{apparmor/rsyslog-openssl.apparmor,rsyslog-gnutls.install}: add
        apparmor profile for the openssl plugin
      + New script to reload apparmor profile:
        - d/rsyslog.service: reload apparmor profile in ExecStartPre and
          set StandardError to journal so we can see errors from the
          script
        - d/rsyslog.install: install reload-apparmor-profile
        - d/reload-apparmor-profile: script to reload the
          rsyslogd apparmor profile
      + d/NEWS: add info about apparmor changes in the Ubuntu packaging
      + d/rsyslog.docs, d/README.apparmor: explains how the dynamic
        component of the rsyslog apparmor profile is applied
      + d/README.apparmor.rsyslog.d, d/rsyslog.install: install a specific
        README file in the apparmor include directory for rsyslog
    - d/rules: Fix LDFLAGS to avoid segfault on receipt of first message
    - Drop [mm|pm]normalize modules, depending on liblognorm from universe.
      + d/rules: drop --enable-mmnormalize & --enable-pmnormalize
      + d/rsyslog.install: remove mmnormalize
    - run as user syslog
      + d/rsyslog.postinst: fix ownership of /var/spool/rsyslog.
      + d/rsyslog.postinst: Create syslog user and add it to adm group
      + d/rsyslog.postinst: Adapt privileges for /var/log
      + debian/control: Add Depends for adduser
    - d/dmesg.service, d/rsyslog.install: provide /var/log/dmesg.log as
      non log-rotated log for boot-time kernel messages.
    - debian/clean: Delete some files left over by the test suite
    - Add DEP8 tests (LP #1906333): + d/t/control, d/t/simple-logger:
      simple logger test
    + d/t/utils: common function(s)
    + d/t/control, d/t/simple-mysql: DEP8 test using rsyslog with a MySQL server
    + d/t/control, d/t/simple-pgsql: DEP8 test using rsyslog with a PostgreSQL server
    + d/t/apparmor-include-mechanism: DEP8 test for the rsyslog.d include mechanism used by the rsyslog apparmor profile
    + ubuntu: update debian/rsyslog.logcheck.ignore.server
    + Amend list of expected messages d/rsyslog.logcheck.ignore.server
      to fix6 armhf autopkgtest (LP #2028935)
    + ubuntu: add CAP_MAC_ADMIN, CAP_SETUID, CAP_SETGID
    + ubuntu: adjust sandboxing
    + d/p/omusrmsg-bugfix-potential-double-free-which-can-caus.patch

  * New changes
    + d/p/plugins-FromHost-must-be-63-characters-long.patch

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Fri, 12 Jan 2024 13:27:29 +0100

rsyslog (8.2312.0-3) unstable; urgency=medium

  * Drop unused systemd Build-Depends.
    Unfortunately, we can't run the journal related tests during build as
    there typically is no journald available in the build environment. So
    the systemd Build-Depends is not actually needed.

 -- Michael Biebl <biebl@debian.org>  Thu, 11 Jan 2024 22:07:44 +0100

rsyslog (8.2312.0-2ubuntu1) noble; urgency=medium

  Merge with Debian unstable (LP: #2045033). Remaining changes:
    - d/00rsyslog.conf, d/rsyslog.postinst, d/rsyslog.install: Install
      tmpfiles.d snippet to ensure that the syslog group can write into
      /var/log/.
    - debian/50-default.conf: set of default rules for syslog
      + debian/50-default.conf: separated default rules
      + d/rsyslog.install: install default rules
      + d/rsyslog.postrm: clear default rules on purge
      + d/rsyslog.postrm: remove conf file in postrm on purge. manage with ucf
      + d/rsyslog.postinst: Adapt script to use ucf for Ubuntu's config files
      + debian/control: Add Depends for ucf
    - debian/rsyslog.conf:
      + enable $RepeatedMsgReduction to avoid bloating the syslog file.
      + enable $KLogPermitNonKernelFacility for non-kernel klog messages
      + Run as syslog:syslog, set $FileOwner to syslog
      + Remove rules moved to 50-default.conf
    - Add AppArmor profile, enabled by default, with support for
      AppArmor configuration snippets:
      + d/rsyslog.install: install apparmor rule
      + d/rsyslog.postinst: remove disabling of apparmor on upgrades if
        we are upgrading from a version older than $now.
      + d/rules: use dh_apparmor to install profile before rsyslog is started
      + d/control: suggests apparmor (>= 2.3), Build-Depends on
        dh-apparmor
      + d/rsyslog.dirs: install /etc/apparmor.d/rsyslog.d
      + d/usr.sbin.rsyslogd apparmor profile for rsyslogd
      + d/{apparmor/rsyslog-mysql,rsyslog-mysql.install}: add apparmor
        profile for mysql plugin
      + d/{apparmor/rsyslog-pgsql,rsyslog-pgsql.install}: add apparmor
        profile for postgresql plugin
      + d/{apparmor/rsyslog-gnutls.apparmor,rsyslog-gnutls.install}: add
        apparmor profile for the gnutls plugin
      + d/{apparmor/rsyslog-openssl.apparmor,rsyslog-gnutls.install}: add
        apparmor profile for the openssl plugin
      + New script to reload apparmor profile:
        - d/rsyslog.service: reload apparmor profile in ExecStartPre and
          set StandardError to journal so we can see errors from the
          script
        - d/rsyslog.install: install reload-apparmor-profile
        - d/reload-apparmor-profile: script to reload the
          rsyslogd apparmor profile
      + d/NEWS: add info about apparmor changes in the Ubuntu packaging
      + d/rsyslog.docs, d/README.apparmor: explains how the dynamic
        component of the rsyslog apparmor profile is applied
      + d/README.apparmor.rsyslog.d, d/rsyslog.install: install a specific
        README file in the apparmor include directory for rsyslog
    - d/rules: Fix LDFLAGS to avoid segfault on receipt of first message
    - Drop [mm|pm]normalize modules, depending on liblognorm from universe.
      + d/rules: drop --enable-mmnormalize & --enable-pmnormalize
      + d/rsyslog.install: remove mmnormalize
    - run as user syslog
      + d/rsyslog.postinst: fix ownership of /var/spool/rsyslog.
      + d/rsyslog.postinst: Create syslog user and add it to adm group
      + d/rsyslog.postinst: Adapt privileges for /var/log
      + debian/control: Add Depends for adduser
    - d/dmesg.service, d/rsyslog.install: provide /var/log/dmesg.log as
      non log-rotated log for boot-time kernel messages.
    - debian/clean: Delete some files left over by the test suite
    - Add DEP8 tests (LP #1906333): + d/t/control, d/t/simple-logger:
      simple logger test
    + d/t/utils: common function(s)
    + d/t/control, d/t/simple-mysql: DEP8 test using rsyslog with a MySQL server
    + d/t/control, d/t/simple-pgsql: DEP8 test using rsyslog with a PostgreSQL server
    + d/t/apparmor-include-mechanism: DEP8 test for the rsyslog.d include mechanism used by the rsyslog apparmor profile
    + ubuntu: update debian/rsyslog.logcheck.ignore.server
    + Amend list of expected messages d/rsyslog.logcheck.ignore.server
      to fix6 armhf autopkgtest (LP #2028935)

  * New changes:
    + ubuntu: add CAP_MAC_ADMIN, CAP_SETUID, CAP_SETGID
    + ubuntu: adjust sandboxing
    + d/p/omusrmsg-bugfix-potential-double-free-which-can-caus.patch

  * Dropped changes, included in Debian:
    + ubuntu: fix debian/tests/logcheck - apparmor restrictions

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Wed, 03 Jan 2024 14:20:22 +0100

rsyslog (8.2312.0-2) unstable; urgency=medium

  * Add CAP_DAC_OVERRIDE to CapabilityBoundingSet in rsyslog.service.
    It avoids problems when writing to log files by 3rd party programs that
    are spawned via omprog. It also makes fileOwner/fileGroup work with
    omfile. (Closes: #1059768)

 -- Michael Biebl <biebl@debian.org>  Mon, 01 Jan 2024 11:20:43 +0100

rsyslog (8.2312.0-1) unstable; urgency=medium

  * New upstream version 8.2312.0

 -- Michael Biebl <biebl@debian.org>  Tue, 12 Dec 2023 17:39:09 +0100

rsyslog (8.2310.0-4) unstable; urgency=medium

  * Drop BindPaths=-/dev/xconsole from rsyslog.service.
    This needs to be removed after the switch to /run/xconsole.
    (Closes: #1056066)

 -- Michael Biebl <biebl@debian.org>  Mon, 27 Nov 2023 18:12:06 +0100

rsyslog (8.2310.0-3) unstable; urgency=medium

  * Drop unused --with-systemdsystemunitdir configure switch.
    It's not actually used since we install debian/rsyslog.service via
    dh_installsystemd.
  * Recommend /run/xconsole for message forwarding to xconsole.
    The recent sandboxing of rsyslog broke message forwarding to
    /dev/xconsole. It is recommended to use /run/xconsole instead and
    replace /dev/xconsole with a symlink pointing at /run/xconsole.
    Update the example files and add a corresponding NEWS entry.
    (Closes: #1056066)

 -- Michael Biebl <biebl@debian.org>  Mon, 27 Nov 2023 08:23:12 +0100

rsyslog (8.2310.0-2) unstable; urgency=medium

  [ Richard Lewis ]
  * Update autopkgtest now that rsyslog.service is hardened
    Previously, rsyslog was told to put its entries in
    /tmp/test-rsyslog-syslog.log which was then checked with logcheck.
    But rsyslog.service now runs with PrivateTmp=true which means
    test-rsyslog-syslog.log is not available after the service ends.
    (Additionally, improve diagnostic messages when no output was detected)
    (Closes: #1053898)

  [ Michael Biebl ]
  * Limit exposure to remote access.
    Use `RestrictAddressFamilies=AF_INET AF_INET6 AF_UNIX` to limit the set
    of socket address families accessible to rsyslog.
    Thanks to Robert Edmonds <edmonds@debian.org>
  * Make /dev/xconsole available in rsyslog.service.
    This was broken by the recent hardening of the service. Make the
    xconsole pipe available if enabled. (Closes: #1053913)

 -- Michael Biebl <biebl@debian.org>  Sun, 15 Oct 2023 21:09:00 +0200

rsyslog (8.2310.0-1) unstable; urgency=medium

  * New upstream version 8.2310.0
  * Enable various systemd sandboxing and security hardening features in
    rsyslog.service (Closes: #688889, #771636)

 -- Michael Biebl <biebl@debian.org>  Wed, 11 Oct 2023 21:07:34 +0200

rsyslog (8.2308.0-1) unstable; urgency=medium

  * New upstream version 8.2308.0

 -- Michael Biebl <biebl@debian.org>  Wed, 16 Aug 2023 08:03:33 +0200

rsyslog (8.2306.0-2ubuntu2) mantic; urgency=medium

  * Amend list of expected messages d/rsyslog.logcheck.ignore.server
    to fix armhf autopkgtest (LP: #2028935)

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Mon, 04 Sep 2023 15:33:45 +0200

rsyslog (8.2306.0-2ubuntu1) mantic; urgency=medium

  * Merge with Debian unstable (LP: #2028935)
  * New change:
    - d/test/logcheck: fix failures caused by apparmor and timing
  * Remaining changes:
    - d/00rsyslog.conf, d/rsyslog.postinst, d/rsyslog.install: Install
      tmpfiles.d snippet to ensure that the syslog group can write into
      /var/log/.
    - debian/50-default.conf: set of default rules for syslog
      + debian/50-default.conf: separated default rules
      + d/rsyslog.install: install default rules
      + d/rsyslog.postrm: clear default rules on purge
      + d/rsyslog.postrm: remove conf file in postrm on purge. manage with ucf
      + d/rsyslog.postinst: Adapt script to use ucf for Ubuntu's config files
      + debian/control: Add Depends for ucf
    - debian/rsyslog.conf:
      + enable $RepeatedMsgReduction to avoid bloating the syslog file.
      + enable $KLogPermitNonKernelFacility for non-kernel klog messages
      + Run as syslog:syslog, set $FileOwner to syslog
      + Remove rules moved to 50-default.conf
    - Add AppArmor profile, enabled by default, with support for
      AppArmor configuration snippets:
      + d/rsyslog.install: install apparmor rule
      + d/rsyslog.postinst: remove disabling of apparmor on upgrades if
        we are upgrading from a version older than $now.
      + d/rules: use dh_apparmor to install profile before rsyslog is started
      + d/control: suggests apparmor (>= 2.3), Build-Depends on
        dh-apparmor
      + d/rsyslog.dirs: install /etc/apparmor.d/rsyslog.d
      + d/usr.sbin.rsyslogd apparmor profile for rsyslogd
      + d/{apparmor/rsyslog-mysql,rsyslog-mysql.install}: add apparmor
        profile for mysql plugin
      + d/{apparmor/rsyslog-pgsql,rsyslog-pgsql.install}: add apparmor
        profile for postgresql plugin
      + d/{apparmor/rsyslog-gnutls.apparmor,rsyslog-gnutls.install}: add
        apparmor profile for the gnutls plugin
      + d/{apparmor/rsyslog-openssl.apparmor,rsyslog-gnutls.install}: add
        apparmor profile for the openssl plugin
      + New script to reload apparmor profile:
        - d/rsyslog.service: reload apparmor profile in ExecStartPre and
          set StandardError to journal so we can see errors from the
          script
        - d/rsyslog.install: install reload-apparmor-profile
        - d/reload-apparmor-profile: script to reload the
          rsyslogd apparmor profile
      + d/NEWS: add info about apparmor changes in the Ubuntu packaging
      + d/rsyslog.docs, d/README.apparmor: explains how the dynamic
        component of the rsyslog apparmor profile is applied
      + d/README.apparmor.rsyslog.d, d/rsyslog.install: install a specific
        README file in the apparmor include directory for rsyslog
    - d/rules: Fix LDFLAGS to avoid segfault on receipt of first message
    - Drop [mm|pm]normalize modules, depending on liblognorm from universe.
      + d/rules: drop --enable-mmnormalize & --enable-pmnormalize
      + d/rsyslog.install: remove mmnormalize
    - run as user syslog
      + d/rsyslog.postinst: fix ownership of /var/spool/rsyslog.
      + d/rsyslog.postinst: Create syslog user and add it to adm group
      + d/rsyslog.postinst: Adapt privileges for /var/log
      + debian/control: Add Depends for adduser
    - d/dmesg.service, d/rsyslog.install: provide /var/log/dmesg.log as non
      log-rotated log for boot-time kernel messages.
    - debian/clean: Delete some files left over by the test suite
    - Add DEP8 tests (LP #1906333):
      + d/t/utils: common function(s)
      + d/t/control, d/t/simple-mysql: DEP8 test using rsyslog with a
        MySQL server
      + d/t/control, d/t/simple-pgsql: DEP8 test using rsyslog with a
        PostgreSQL server
      + d/t/apparmor-include-mechanism: DEP8 test for the rsyslog.d
        include mechanism used by the rsyslog apparmor profile

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Wed, 23 Aug 2023 11:26:01 +0200

rsyslog (8.2306.0-2) unstable; urgency=medium

  [ Richard Lewis ]
  * Update logcheck rules for latest debian defaults.
    New patterns cope with both
    - The high precision timestamps which appear in syslog (rsyslog default
      since bookworm).
    - The inclusion of a pid after 'rsyslogd' which is logged in the journal
      (checked by logcheck since bookworm). The first two 'kernel' messages
      are not generated any more but systemd generates a message about a
      socket which is now captured.
    (Closes: #1038163)
  * Add autopkgtests (for logcheck rules).
    A simple test that checks that rsyslog's logcheck rules work.
  * Add debian/salsa-ci.yml

 -- Michael Biebl <biebl@debian.org>  Mon, 10 Jul 2023 23:14:06 +0200

rsyslog (8.2306.0-1ubuntu1) mantic; urgency=medium

  * Merge with Debian unstable (LP: #2025678). Remaining changes:
    - d/00rsyslog.conf, d/rsyslog.postinst, d/rsyslog.install: Install
      tmpfiles.d snippet to ensure that the syslog group can write into
      /var/log/.
    - debian/50-default.conf: set of default rules for syslog
      + debian/50-default.conf: separated default rules
      + d/rsyslog.install: install default rules
      + d/rsyslog.postrm: clear default rules on purge
      + d/rsyslog.postrm: remove conf file in postrm on purge. manage with ucf
      + d/rsyslog.postinst: Adapt script to use ucf for Ubuntu's config files
      + debian/control: Add Depends for ucf
    - debian/rsyslog.conf:
      + enable $RepeatedMsgReduction to avoid bloating the syslog file.
      + enable $KLogPermitNonKernelFacility for non-kernel klog messages
      + Run as syslog:syslog, set $FileOwner to syslog
      + Remove rules moved to 50-default.conf
    - Add AppArmor profile, enabled by default, with support for
      AppArmor configuration snippets:
      + d/rsyslog.install: install apparmor rule
      + d/rsyslog.postinst: remove disabling of apparmor on upgrades if
        we are upgrading from a version older than $now.
      + d/rules: use dh_apparmor to install profile before rsyslog is started
      + d/control: suggests apparmor (>= 2.3), Build-Depends on
        dh-apparmor
      + d/rsyslog.dirs: install /etc/apparmor.d/rsyslog.d
      + d/usr.sbin.rsyslogd apparmor profile for rsyslogd
      + d/{apparmor/rsyslog-mysql,rsyslog-mysql.install}: add apparmor
        profile for mysql plugin
      + d/{apparmor/rsyslog-pgsql,rsyslog-pgsql.install}: add apparmor
        profile for postgresql plugin
      + d/{apparmor/rsyslog-gnutls.apparmor,rsyslog-gnutls.install}: add
        apparmor profile for the gnutls plugin
      + d/{apparmor/rsyslog-openssl.apparmor,rsyslog-gnutls.install}: add
        apparmor profile for the openssl plugin
      + New script to reload apparmor profile:
        - d/rsyslog.service: reload apparmor profile in ExecStartPre and
          set StandardError to journal so we can see errors from the
          script
        - d/rsyslog.install: install reload-apparmor-profile
        - d/reload-apparmor-profile: script to reload the
          rsyslogd apparmor profile
      + d/NEWS: add info about apparmor changes in the Ubuntu packaging
      + d/rsyslog.docs, d/README.apparmor: explains how the dynamic
        component of the rsyslog apparmor profile is applied
      + d/README.apparmor.rsyslog.d, d/rsyslog.install: install a specific
        README file in the apparmor include directory for rsyslog
    - d/rules: Fix LDFLAGS to avoid segfault on receipt of first message
    - Drop [mm|pm]normalize modules, depending on liblognorm from universe.
      + d/rules: drop --enable-mmnormalize & --enable-pmnormalize
      + d/rsyslog.install: remove mmnormalize
    - run as user syslog
      + d/rsyslog.postinst: fix ownership of /var/spool/rsyslog.
      + d/rsyslog.postinst: Create syslog user and add it to adm group
      + d/rsyslog.postinst: Adapt privileges for /var/log
      + debian/control: Add Depends for adduser
    - d/dmesg.service, d/rsyslog.install: provide /var/log/dmesg.log as non
      log-rotated log for boot-time kernel messages.
    - debian/clean: Delete some files left over by the test suite
    - Add DEP8 tests (LP #1906333):
      + d/t/control, d/t/simple-logger: simple logger test
      + d/t/utils: common function(s)
      + d/t/control, d/t/simple-mysql: DEP8 test using rsyslog with a
        MySQL server
      + d/t/control, d/t/simple-pgsql: DEP8 test using rsyslog with a
        PostgreSQL server
      + d/t/apparmor-include-mechanism: DEP8 test for the rsyslog.d
        include mechanism used by the rsyslog apparmor profile

 -- Nick Rosbrook <nick.rosbrook@canonical.com>  Mon, 03 Jul 2023 14:04:04 -0400

rsyslog (8.2306.0-1) unstable; urgency=medium

  * New upstream version 8.2306.0

 -- Michael Biebl <biebl@debian.org>  Tue, 20 Jun 2023 20:09:46 +0200

rsyslog (8.2304.0-1) unstable; urgency=medium

  * New upstream version 8.2304.0

 -- Michael Biebl <biebl@debian.org>  Sat, 17 Jun 2023 18:44:36 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog rsyslog-doc`.
